/******************** (C) COPYRIGHT 2012 WildFire Team ***************************
 * ļ  SysTick.c
 *     SysTick ϵͳδʱ10usжϺ,жʱã
 *           õ 1us 10us 1ms жϡ         
 * ʵƽ̨ҰSTM32
 * Ӳӣ-----------------
 *          |                 |
 *          |               |
 *          |                 |
 *           -----------------
 * 汾  ST3.5.0
 *     wildfire team 
 * ̳    www.ourdev.cn/bbs/bbs_list.jsp?bbs_id=1008
 * Ա    http://firestm32.taobao.com
**********************************************************************************/
#include "SysTick.h"

static __IO u32 TimingDelay;

/*
 * SysTick_Init
 *   ϵͳδʱ SysTick
 *   
 *   
 *   ⲿ 
 */
void SysTick_Init(void)
{
	/* SystemFrequency / 1000    1msжһ
	 * SystemFrequency / 100000	 10usжһ
	 * SystemFrequency / 1000000 1usжһ
	 */
//	if (SysTick_Config(SystemFrequency / 100000))	// ST3.0.0汾
	if (SysTick_Config(SystemCoreClock / 100))	// ST3.5.0汾
	{ 
		/* Capture error */ 
		while (1);
	}
		// رյδʱ  
//	SysTick->CTRL &= ~ SysTick_CTRL_ENABLE_Msk;
}




/*
 * Delay_us
 *   usʱ,10usΪһλ
 *   - nTime
 *   
 *   Delay_us( 1 ) ʵֵʱΪ 1 * 10us = 10us
 *       ⲿ 
 */

void Delay_us(__IO u32 nTime)
{ 
	TimingDelay = nTime;	

	// ʹܵδʱ  
	SysTick->CTRL |=  SysTick_CTRL_ENABLE_Msk;

	while(TimingDelay != 0);
}


/*
 * TimingDelay_Decrement
 *   ȡĳ
 *   
 *   
 *    SysTick жϺ SysTick_Handler()
 */  
void TimingDelay_Decrement(void)
{
	if (TimingDelay != 0x00)
	{ 
	TimingDelay--;
	}
}
/******************* (C) COPYRIGHT 2012 WildFire Team *****END OF FILE************/
